import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { Crossmint, CustomAuth, CrossmintConfig } from '@crossmint/common-sdk-base';

interface CrossmintContext {
    crossmint: Crossmint;
    setJwt: (jwt: string | undefined) => void;
    experimental_setCustomAuth: (customAuth: CustomAuth | undefined) => void;
}
declare function CrossmintProvider({ children, apiKey, appId, extensionId, overrideBaseUrl, }: Pick<CrossmintConfig, "apiKey" | "appId" | "extensionId" | "overrideBaseUrl"> & {
    children: ReactNode;
}): react_jsx_runtime.JSX.Element;
declare function useCrossmint(missingContextMessage?: string): CrossmintContext;

export { type CrossmintContext, CrossmintProvider, useCrossmint };
