import { PasskeySigner } from '../types/passkey.cjs';
import * as _crossmint_wallets_sdk from '@crossmint/wallets-sdk';
import 'ox';

declare function useWallet(): {
    wallet: _crossmint_wallets_sdk.Wallet<_crossmint_wallets_sdk.Chain> | undefined;
    status: "error" | "in-progress" | "not-loaded" | "loaded";
    getOrCreateWallet: <C extends _crossmint_wallets_sdk.Chain>(args: _crossmint_wallets_sdk.WalletArgsFor<C>) => Promise<{
        startedCreation: boolean;
        reason?: string;
        wallet?: _crossmint_wallets_sdk.Wallet<C>;
    }>;
    createPasskeySigner: () => Promise<PasskeySigner>;
    clearWallet: () => void;
};

export { useWallet };
